Class Url (0.3.0)

public final class Url extends GeneratedMessage implements UrlOrBuilder

Url.

Protobuf type google.backstory.Url

Implements

UrlOrBuilder

Static Fields

CATEGORIES_FIELD_NUMBER

public static final int CATEGORIES_FIELD_NUMBER
Field Value
Type Description
int

FAVICON_FIELD_NUMBER

public static final int FAVICON_FIELD_NUMBER
Field Value
Type Description
int

HTML_META_FIELD_NUMBER

public static final int HTML_META_FIELD_NUMBER
Field Value
Type Description
int

LAST_FINAL_URL_FIELD_NUMBER

public static final int LAST_FINAL_URL_FIELD_NUMBER
Field Value
Type Description
int

LAST_HTTP_RESPONSE_CODE_FIELD_NUMBER

public static final int LAST_HTTP_RESPONSE_CODE_FIELD_NUMBER
Field Value
Type Description
int

LAST_HTTP_RESPONSE_CONTENT_LENGTH_FIELD_NUMBER

public static final int LAST_HTTP_RESPONSE_CONTENT_LENGTH_FIELD_NUMBER
Field Value
Type Description
int

LAST_HTTP_RESPONSE_CONTENT_SHA256_FIELD_NUMBER

public static final int LAST_HTTP_RESPONSE_CONTENT_SHA256_FIELD_NUMBER
Field Value
Type Description
int

LAST_HTTP_RESPONSE_COOKIES_FIELD_NUMBER

public static final int LAST_HTTP_RESPONSE_COOKIES_FIELD_NUMBER
Field Value
Type Description
int

LAST_HTTP_RESPONSE_HEADERS_FIELD_NUMBER

public static final int LAST_HTTP_RESPONSE_HEADERS_FIELD_NUMBER
Field Value
Type Description
int

TAGS_FIELD_NUMBER

public static final int TAGS_FIELD_NUMBER
Field Value
Type Description
int

TITLE_FIELD_NUMBER

public static final int TITLE_FIELD_NUMBER
Field Value
Type Description
int

TRACKERS_FIELD_NUMBER

public static final int TRACKERS_FIELD_NUMBER
Field Value
Type Description
int

URL_FIELD_NUMBER

public static final int URL_FIELD_NUMBER
Field Value
Type Description
int

Static Methods

getDefaultInstance()

public static Url getDefaultInstance()
Returns
Type Description
Url

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

newBuilder()

public static Url.Builder newBuilder()
Returns
Type Description
Url.Builder

newBuilder(Url prototype)

public static Url.Builder newBuilder(Url prototype)
Parameter
Name Description
prototype Url
Returns
Type Description
Url.Builder

parseDelimitedFrom(InputStream input)

public static Url parseDelimitedFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static Url parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseFrom(byte[] data)

public static Url parseFrom(byte[] data)
Parameter
Name Description
data byte[]
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)

public static Url parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data byte[]
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data)

public static Url parseFrom(ByteString data)
Parameter
Name Description
data ByteString
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)

public static Url parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteString
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(CodedInputStream input)

public static Url parseFrom(CodedInputStream input)
Parameter
Name Description
input CodedInputStream
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public static Url parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseFrom(InputStream input)

public static Url parseFrom(InputStream input)
Parameter
Name Description
input InputStream
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)

public static Url parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input InputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
IOException

parseFrom(ByteBuffer data)

public static Url parseFrom(ByteBuffer data)
Parameter
Name Description
data ByteBuffer
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)

public static Url parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
data ByteBuffer
extensionRegistry ExtensionRegistryLite
Returns
Type Description
Url
Exceptions
Type Description
InvalidProtocolBufferException

parser()

public static Parser<Url> parser()
Returns
Type Description
Parser<Url>

Methods

equals(Object obj)

public boolean equals(Object obj)
Parameter
Name Description
obj Object
Returns
Type Description
boolean
Overrides

getCategories(int index)

public String getCategories(int index)

Categorisation done by VirusTotal partners.

repeated string categories = 2;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The categories at the given index.

getCategoriesBytes(int index)

public ByteString getCategoriesBytes(int index)

Categorisation done by VirusTotal partners.

repeated string categories = 2;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the categories at the given index.

getCategoriesCount()

public int getCategoriesCount()

Categorisation done by VirusTotal partners.

repeated string categories = 2;

Returns
Type Description
int

The count of categories.

getCategoriesList()

public ProtocolStringList getCategoriesList()

Categorisation done by VirusTotal partners.

repeated string categories = 2;

Returns
Type Description
ProtocolStringList

A list containing the categories.

getDefaultInstanceForType()

public Url getDefaultInstanceForType()
Returns
Type Description
Url

getFavicon()

public Favicon getFavicon()

Difference hash and MD5 hash of the URL's.

.google.backstory.Favicon favicon = 3;

Returns
Type Description
Favicon

The favicon.

getFaviconOrBuilder()

public FaviconOrBuilder getFaviconOrBuilder()

Difference hash and MD5 hash of the URL's.

.google.backstory.Favicon favicon = 3;

Returns
Type Description
FaviconOrBuilder

getHtmlMeta()

public Struct getHtmlMeta()

Meta tags (only for URLs downloading HTML).

.google.protobuf.Struct html_meta = 4;

Returns
Type Description
Struct

The htmlMeta.

getHtmlMetaOrBuilder()

public StructOrBuilder getHtmlMetaOrBuilder()

Meta tags (only for URLs downloading HTML).

.google.protobuf.Struct html_meta = 4;

Returns
Type Description
StructOrBuilder

getLastFinalUrl()

public String getLastFinalUrl()

If the original URL redirects, where does it end.

string last_final_url = 5;

Returns
Type Description
String

The lastFinalUrl.

getLastFinalUrlBytes()

public ByteString getLastFinalUrlBytes()

If the original URL redirects, where does it end.

string last_final_url = 5;

Returns
Type Description
ByteString

The bytes for lastFinalUrl.

getLastHttpResponseCode()

public int getLastHttpResponseCode()

HTTP response code of the last response.

int32 last_http_response_code = 6;

Returns
Type Description
int

The lastHttpResponseCode.

getLastHttpResponseContentLength()

public long getLastHttpResponseContentLength()

Length in bytes of the content received.

int64 last_http_response_content_length = 7;

Returns
Type Description
long

The lastHttpResponseContentLength.

getLastHttpResponseContentSha256()

public String getLastHttpResponseContentSha256()

URL response body's SHA256 hash.

string last_http_response_content_sha256 = 8;

Returns
Type Description
String

The lastHttpResponseContentSha256.

getLastHttpResponseContentSha256Bytes()

public ByteString getLastHttpResponseContentSha256Bytes()

URL response body's SHA256 hash.

string last_http_response_content_sha256 = 8;

Returns
Type Description
ByteString

The bytes for lastHttpResponseContentSha256.

getLastHttpResponseCookies()

public Struct getLastHttpResponseCookies()

Website's cookies.

.google.protobuf.Struct last_http_response_cookies = 9;

Returns
Type Description
Struct

The lastHttpResponseCookies.

getLastHttpResponseCookiesOrBuilder()

public StructOrBuilder getLastHttpResponseCookiesOrBuilder()

Website's cookies.

.google.protobuf.Struct last_http_response_cookies = 9;

Returns
Type Description
StructOrBuilder

getLastHttpResponseHeaders()

public Struct getLastHttpResponseHeaders()

Headers and values of the last HTTP response.

.google.protobuf.Struct last_http_response_headers = 10;

Returns
Type Description
Struct

The lastHttpResponseHeaders.

getLastHttpResponseHeadersOrBuilder()

public StructOrBuilder getLastHttpResponseHeadersOrBuilder()

Headers and values of the last HTTP response.

.google.protobuf.Struct last_http_response_headers = 10;

Returns
Type Description
StructOrBuilder

getParserForType()

public Parser<Url> getParserForType()
Returns
Type Description
Parser<Url>
Overrides

getSerializedSize()

public int getSerializedSize()
Returns
Type Description
int
Overrides

getTags(int index)

public String getTags(int index)

Tags.

repeated string tags = 11;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The tags at the given index.

getTagsBytes(int index)

public ByteString getTagsBytes(int index)

Tags.

repeated string tags = 11;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the tags at the given index.

getTagsCount()

public int getTagsCount()

Tags.

repeated string tags = 11;

Returns
Type Description
int

The count of tags.

getTagsList()

public ProtocolStringList getTagsList()

Tags.

repeated string tags = 11;

Returns
Type Description
ProtocolStringList

A list containing the tags.

getTitle()

public String getTitle()

Webpage title.

string title = 12;

Returns
Type Description
String

The title.

getTitleBytes()

public ByteString getTitleBytes()

Webpage title.

string title = 12;

Returns
Type Description
ByteString

The bytes for title.

getTrackers(int index)

public Tracker getTrackers(int index)

Trackers found in the URL in a historical manner.

repeated .google.backstory.Tracker trackers = 13;

Parameter
Name Description
index int
Returns
Type Description
Tracker

getTrackersCount()

public int getTrackersCount()

Trackers found in the URL in a historical manner.

repeated .google.backstory.Tracker trackers = 13;

Returns
Type Description
int

getTrackersList()

public List<Tracker> getTrackersList()

Trackers found in the URL in a historical manner.

repeated .google.backstory.Tracker trackers = 13;

Returns
Type Description
List<Tracker>

getTrackersOrBuilder(int index)

public TrackerOrBuilder getTrackersOrBuilder(int index)

Trackers found in the URL in a historical manner.

repeated .google.backstory.Tracker trackers = 13;

Parameter
Name Description
index int
Returns
Type Description
TrackerOrBuilder

getTrackersOrBuilderList()

public List<? extends TrackerOrBuilder> getTrackersOrBuilderList()

Trackers found in the URL in a historical manner.

repeated .google.backstory.Tracker trackers = 13;

Returns
Type Description
List<? extends com.google.backstory.TrackerOrBuilder>

getUrl()

public String getUrl()

URL.

string url = 1;

Returns
Type Description
String

The url.

getUrlBytes()

public ByteString getUrlBytes()

URL.

string url = 1;

Returns
Type Description
ByteString

The bytes for url.

hasFavicon()

public boolean hasFavicon()

Difference hash and MD5 hash of the URL's.

.google.backstory.Favicon favicon = 3;

Returns
Type Description
boolean

Whether the favicon field is set.

hasHtmlMeta()

public boolean hasHtmlMeta()

Meta tags (only for URLs downloading HTML).

.google.protobuf.Struct html_meta = 4;

Returns
Type Description
boolean

Whether the htmlMeta field is set.

hasLastHttpResponseCookies()

public boolean hasLastHttpResponseCookies()

Website's cookies.

.google.protobuf.Struct last_http_response_cookies = 9;

Returns
Type Description
boolean

Whether the lastHttpResponseCookies field is set.

hasLastHttpResponseHeaders()

public boolean hasLastHttpResponseHeaders()

Headers and values of the last HTTP response.

.google.protobuf.Struct last_http_response_headers = 10;

Returns
Type Description
boolean

Whether the lastHttpResponseHeaders field is set.

hashCode()

public int hashCode()
Returns
Type Description
int
Overrides

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

newBuilderForType()

public Url.Builder newBuilderForType()
Returns
Type Description
Url.Builder

newBuilderForType(AbstractMessage.BuilderParent parent)

protected Url.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Parameter
Name Description
parent BuilderParent
Returns
Type Description
Url.Builder
Overrides

toBuilder()

public Url.Builder toBuilder()
Returns
Type Description
Url.Builder

writeTo(CodedOutputStream output)

public void writeTo(CodedOutputStream output)
Parameter
Name Description
output CodedOutputStream
Overrides
Exceptions
Type Description
IOException